Index: Core/Player/BaseTSReaderPlayer.cs
===================================================================
--- Core/Player/BaseTSReaderPlayer.cs	(revision 26949)
+++ Core/Player/BaseTSReaderPlayer.cs	(working copy)
@@ -137,6 +137,7 @@
     protected bool _isStarted = false;
     protected bool _isLive = false;
     protected double _lastPosition = 0;
+    protected double _lastaudiochangepos = 0;
     protected bool _isWindowVisible = false;
     protected DsROTEntry _rotEntry = null;
     protected int _aspectX = 1;
@@ -637,9 +638,17 @@
       }
       if (_bRequestAudioChange)
       {
-        Log.Info("TSReaderPlayer:OnRequestAudioChange()");
         _bRequestAudioChange = false;
-        g_Player.OnAudioTracksReady();
+        if (_lastaudiochangepos == 0 || g_Player.CurrentPosition == 0 || _lastaudiochangepos != g_Player.CurrentPosition)
+        {
+            Log.Info("TSReaderPlayer:OnRequestAudioChange()");
+            _lastaudiochangepos = g_Player.CurrentPosition;
+            g_Player.OnAudioTracksReady();
+        }
+        else
+        {
+            Log.Info("TSReaderPlayer:OnRequestAudioChange(): Skipping");
+        }
       }
 
       _startingUp = false;
